package com.ssj.service.kmt.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;

import java.util.List;
import java.util.stream.Collectors;

public class HowDetailPointsRequest extends BaseRequest{
    private static final long serialVersionUID = 1L;

    private String detailId;

    private List<String> pointIds;

    public String getDetailId() {
        return detailId;
    }

    public void setDetailId(String detailId) {
        this.detailId = detailId;
    }

    public List<String> getPointIds() {
        return pointIds;
    }

    public void setPointIds(List<String> pointIds) {
        this.pointIds =  pointIds.stream().distinct().collect(Collectors.toList());
    }
}
